Bug 1873534 - operator interprets running pruning job as success
Summary: operator interprets running pruning job as success
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1873496
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-28 14:22 UTC by Ricardo Maraschini
Modified: 2020-09-22 06:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Operator was taking into account "running" jobs when deriving its own status. Consequence: Running jobs may be not in a failure state yet, therefore the operator could report itself as healthy while the job was still running. Fix: Ignoring running jobs when deriving the operator status. Result: Operator now uses the status of the last finished job always thus reporting its status on the right way.
Clone Of: 1857684
Environment:
Last Closed: 2020-09-22 06:58:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 600 None closed [release-4.4] Bug 1873534: Using last finished job and disabling retries 2020-10-07 09:26:45 UTC
Red Hat Product Errata RHBA-2020:3715 None None None 2020-09-22 06:58:45 UTC

Comment 2 Wenjing Zheng 2020-09-14 06:02:04 UTC
Verified on 4.4.0-0.nightly-2020-09-12-143345.

Comment 5 errata-xmlrpc 2020-09-22 06:58:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.23 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3715


Note You need to log in before you can comment on or make changes to this bug.